> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send an email



## OpenAPI

````yaml get /admin/auto_emails/send/{program_id}/{trigger}/{to}/{donor_id}/{entity_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/auto_emails/send/{program_id}/{trigger}/{to}/{donor_id}/{entity_id}:
    get:
      tags:
        - Auto Emails
      summary: Send an email
      operationId: f038763806db7d49a3d33f963e2bcb63
      parameters:
        - name: program_id
          in: path
          description: The id of the program
          required: true
          schema:
            type: integer
            example: 1
        - name: trigger
          in: path
          description: The trigger for sending the email
          required: true
          schema:
            type: string
            example: profile_update
        - name: to
          in: path
          description: The recipient of the email
          required: true
          schema:
            type: string
            example: donor
        - name: donor_id
          in: path
          description: The id of the donor
          required: true
          schema:
            type: integer
            example: 1
        - name: entity_id
          in: path
          description: The id of the entity
          required: true
          schema:
            type: integer
            example: 1
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The response message
                    type: string
                type: object
        '400':
          description: 'Error: Email could not be sent'
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````